ur_rna.RNAstructure.backend

## Class TProgressDialog

- java.lang.Object
- - ur_rna.RNAstructure.backend.ProgressHandler
  - - ur_rna.RNAstructure.backend.TProgressDialog

-     public class TProgressDialog
      extends ProgressHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `swigCPtr`

    - ### Fields inherited from class ur_rna.RNAstructure.backend.ProgressHandler

      `swigCMemOwn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TProgressDialog()`
    `protected` | `TProgressDialog(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `protected void` | `finalize()`
    `protected static long` | `getCPtr(TProgressDialog obj)`
    `void` | `update(int percent)`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.ProgressHandler

      `cancel, canceled, getCPtr, progress, reset, update, updateFraction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### TProgressDialog

          public TProgressDialog()

    - #### TProgressDialog

          protected TProgressDialog(long cPtr,
                                    boolean cMemoryOwn)

  - ### Method Detail

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `ProgressHandler`

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `ProgressHandler`

    - #### getCPtr

          protected static long getCPtr(TProgressDialog obj)

    - #### update

          public void update(int percent)

      Overrides:
        `update` in class `ProgressHandler`